Package org.eclipse.rdf4j.sail.federation.optimizers

## Class EvaluationStatistics.CardinalityCalculator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.sail.federation.optimizers.EvaluationStatistics.CardinalityCalculator

- All Implemented Interfaces:
    `QueryModelVisitor<RuntimeException>`
  Enclosing class:
    EvaluationStatistics

      protected static class EvaluationStatistics.CardinalityCalculator
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected double` | `cardinality` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CardinalityCalculator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `countConstantVars​(Iterable<Var> vars)` |
    `double` | `getCardinality()` |
    `protected double` | `getCardinality​(StatementPattern pattern)` |
    `void` | `meet​(EmptySet node)` |
    `void` | `meet​(Join node)` |
    `void` | `meet​(LeftJoin node)` |
    `void` | `meet​(SingletonSet node)` |
    `void` | `meet​(Slice slice)` |
    `void` | `meet​(StatementPattern pattern)` |
    `protected void` | `meetBinaryTupleOperator​(BinaryTupleOperator node)` | Method called by all meet methods with a `BinaryTupleOperator` node as argument.
    `void` | `meetMultiJoin​(NaryJoin node)` |
    `void` | `meetOther​(QueryModelNode node)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cardinality

          protected double cardinality

  - ### Constructor Detail

    - #### CardinalityCalculator

          protected CardinalityCalculator()

  - ### Method Detail

    - #### getCardinality

          public double getCardinality()

    - #### meet

          public void meet​(EmptySet node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(SingletonSet node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(StatementPattern pattern)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(Slice slice)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### getCardinality

          protected double getCardinality​(StatementPattern pattern)

    - #### countConstantVars

          protected int countConstantVars​(Iterable<Var> vars)

    - #### meetOther

          public void meetOther​(QueryModelNode node)

      Specified by:
        `meetOther` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meetMultiJoin

          public void meetMultiJoin​(NaryJoin node)

    - #### meet

          public void meet​(Join node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(LeftJoin node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meetBinaryTupleOperator

          protected void meetBinaryTupleOperator​(BinaryTupleOperator node)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all meet methods with a `BinaryTupleOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetBinaryTupleOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.